1

For some reason I get an error message when using \textsc{} with txfontsb.sty. It can be my installation but since txfonts.sty is working I am bewildered. The MWE is here:

  \documentclass{article}

% \usepackage[T1]{fontenc}
  \usepackage[LY1]{fontenc}
% \usepackage{txfonts}%  works
  \usepackage{txfontsb}% error message

  \begin{document}
  \textsc{Hello world.}%
  \end{document}

As you see I have also tried using T1 instead of LY1 (without success). The error message I get is

LaTeX Font Warning: Font shape `LY1/txrc/m/sc' undefined

My font directory listings are

texmf-texlive-dist/tex/latex/txfontsb:

lgrtxr.fd   lgrtxrc.fd  lgrtxry.fd  lgrtxryc.fd 
ot1txrc.fd  ot1txryc.fd txfontsb.sty

texmf-texlive-dist/tex/latex/txfonts:

ly1txr.fd   omltxmi.fd  omstxsy.fd  ot1txss.fd  
t1txss.fd   ts1txss.fd  utxexa.fd   utxss.fd    
utxsyc.fd   ly1txss.fd  omltxr.fd   omxtxex.fd  
ot1txtt.fd  t1txtt.fd   ts1txtt.fd  utxmia.fd   
utxsya.fd   utxtt.fd    ly1txtt.fd  omstxr.fd   
ot1txr.fd   t1txr.fd    ts1txr.fd   txfonts.sty 
utxr.fd utxsyb.fd

Any clues?

  • This is not an error but only a warning. Your font doesn't have a scshape and so LaTeX will fall back to another font. – Ulrike Fischer Apr 10 '13 at 13:37
  • Thanks for correcting me. What I don't understand is why this happens. The manual states that SC is included. – Tore H-W Apr 10 '13 at 13:52
  • The package can only be used with OT1-encoding. There are no support files for T1 or LY1 - which imho makes it quite useless. – Ulrike Fischer Apr 10 '13 at 14:02
  • I am quite embarrassed. Should have noticed it myself... Do you know about an alternative to txfontsb? My particular needs are: more ink to the letters than e.g. CM, bold greek letters, a good collection of math operators and not-so-wide but still good-looking equations. – Tore H-W Apr 10 '13 at 14:17
  • @UlrikeFischer ... or LGR encoding, which seems to be the main use case: writing greek text with txfontsb. – mafp Apr 10 '13 at 14:21
1

This is not an error but only a warning. Your font doesn't have a scshape and so LaTeX will fall back to another font.

Also the package can only be used with OT1-encoding. There are no support files for T1 or LY1 - which imho makes it quite useless.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.